MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FEmoShapeJsonLatentAction< T > Class Template Reference

`#include <ESRequestJSON.h>`

Inheritance diagram for FEmoShapeJsonLatentAction< T >:

## Public Member Functions
virtual void | Call (const T &Value)
void | operator() (const T &Value)
void | Cancel ()
| FEmoShapeJsonLatentAction (FWeakObjectPtr RequestObj, T &ResultParam, const FLatentActionInfo &LatentInfo)
virtual void | UpdateOperation (FLatentResponse &Response) override
virtual void | NotifyObjectDestroyed ()
virtual void | NotifyActionAborted ()

## Public Attributes
const FName | ExecutionFunction
const int32 | OutputLink
const FWeakObjectPtr | CallbackTarget
T & | Result

## Detailed Description

template<class T>
class FEmoShapeJsonLatentAction< T >

Author
  Original latent action class by https://github.com/unktomi

## Constructor & Destructor Documentation

## ◆ FEmoShapeJsonLatentAction()

template<class T >

FEmoShapeJsonLatentAction< T >::FEmoShapeJsonLatentAction | ( | FWeakObjectPtr | RequestObj,
|  | T & | ResultParam,
|  | const FLatentActionInfo & | LatentInfo )
| inline

## Member Function Documentation

## ◆ Call()

template<class T >

virtual void FEmoShapeJsonLatentAction< T >::Call | ( | const T & | Value | ) |
| inline virtual

## ◆ Cancel()

template<class T >

void FEmoShapeJsonLatentAction< T >::Cancel | ( |  | ) |

## ◆ NotifyActionAborted()

template<class T >

virtual void FEmoShapeJsonLatentAction< T >::NotifyActionAborted | ( |  | ) |
| inline virtual

## ◆ NotifyObjectDestroyed()

template<class T >

virtual void FEmoShapeJsonLatentAction< T >::NotifyObjectDestroyed | ( |  | ) |
| inline virtual

## ◆ operator()()

template<class T >

void FEmoShapeJsonLatentAction< T >::operator() | ( | const T & | Value | ) |
| inline

## ◆ UpdateOperation()

template<class T >

virtual void FEmoShapeJsonLatentAction< T >::UpdateOperation | ( | FLatentResponse & | Response | ) |
| inline override virtual

## Member Data Documentation

## ◆ CallbackTarget

template<class T >

const FWeakObjectPtr FEmoShapeJsonLatentAction< T >::CallbackTarget

## ◆ ExecutionFunction

template<class T >

const FName FEmoShapeJsonLatentAction< T >::ExecutionFunction

## ◆ OutputLink

template<class T >

const int32 FEmoShapeJsonLatentAction< T >::OutputLink

## ◆ Result

template<class T >

T& FEmoShapeJsonLatentAction< T >::Result

The documentation for this class was generated from the following files:

- EmoShapeJson/Public/ESRequestJSON.h
- Public/ESRequestJSON.cpp